View Issue Details

IDProjectCategoryView StatusLast Update
0022852mantisbtlocalizationpublic2017-05-20 14:00
ReporterJayEn84Assigned Toatrol 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target Version2.5.0Fixed in Version2.5.0 
Summary0022852: [de] Incorrect label in German "Change status" form
Description

When you open a ticket and change its status, you are forwarded on the "Change status page" (bug_change_status_page.php). There is a textarea for adding a note before changing the ticket's status. The English label is "Add Note" while the German label is "Notiz / Datei hinzuf├╝gen". This means "Add note / file", but you actually cannot add a file in this form, so the label is incorrect.

Steps To Reproduce

Open a ticket and change its status to any status.

TagsNo tags attached.

Activities

JayEn84

JayEn84

2017-05-10 09:55

reporter  

atrol

atrol

2017-05-10 10:11

developer   ~0056831

I was the one who changed the German translation to "Notiz / Datei hinzuf├╝gen".

This is good when viewing a single issue (view.php page), but not in "Change status" form and maybe some other places (will have to check).

The right way to fix it, is to use different strings based on the page where it's used and the availibilty of upload functionality ($g_upload_bug_file_threshold)

atrol

atrol

2017-05-17 14:08

developer   ~0056880

I changed back German translation for the moment.
The issue will be fixed after next update from translatewiki.net.

There is some more work to do for a better solution.

Related Changesets

MantisBT: master 2d541e98

2017-05-20 04:59:17

translatewiki.net

Details Diff
Localisation updates from https://translatewiki.net.
mod - lang/strings_bulgarian.txt Diff File
mod - lang/strings_chinese_simplified.txt Diff File
mod - lang/strings_german.txt Diff File
mod - lang/strings_russian.txt Diff File

Issue History

Date Modified Username Field Change
2017-05-10 09:55 JayEn84 New Issue
2017-05-10 09:55 JayEn84 File Added: mantis_change_status_label.png
2017-05-10 10:11 atrol Status new => confirmed
2017-05-10 10:11 atrol Note Added: 0056831
2017-05-17 14:04 atrol Assigned To => atrol
2017-05-17 14:04 atrol Status confirmed => assigned
2017-05-17 14:08 atrol Target Version => 2.5.0
2017-05-17 14:08 atrol Note Added: 0056880
2017-05-20 13:59 atrol Changeset attached => MantisBT master 2d541e98
2017-05-20 14:00 atrol Status assigned => resolved
2017-05-20 14:00 atrol Resolution open => fixed
2017-05-20 14:00 atrol Fixed in Version => 2.5.0